<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Package org.apache.nutch.net (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.nutch.net (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/net/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.nutch.net" class="title">Uses of Package<br>org.apache.nutch.net</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.collection">org.apache.nutch.collection</a></td>
<td class="colLast">
<div class="block">
Subcollection is a subset of an index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.hostdb">org.apache.nutch.hostdb</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.indexer">org.apache.nutch.indexer</a></td>
<td class="colLast">
<div class="block">Index content, configure and run indexing and cleaning jobs to 
add, update, and delete documents from an index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net">org.apache.nutch.net</a></td>
<td class="colLast">
<div class="block">Web-related interfaces: URL <a href="../../../../org/apache/nutch/net/URLFilter.html" title="interface in org.apache.nutch.net"><code>filters</code></a>
 and <a href="../../../../org/apache/nutch/net/URLNormalizer.html" title="interface in org.apache.nutch.net"><code>normalizers</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.ajax">org.apache.nutch.net.urlnormalizer.ajax</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.basic">org.apache.nutch.net.urlnormalizer.basic</a></td>
<td class="colLast">
<div class="block">URL normalizer performing basic normalizations:
 
 remove default ports, e.g., port 80 for <code>http://</code> URLs
 remove needless slashes and dot segments in the path component
 remove anchors
 use percent-encoding (only) where needed
 
 
 E.g.,
 <code>https://www.example.org/a/../b//./select%2Dlang.php?lang=español#anchor<code>
 is normalized to <code>https://www.example.org/b/select-lang.php?lang=espa%C3%B1ol</code>
 
 Optional and configurable normalizations are:
 
 convert Internationalized Domain Names (IDNs) uniquely either to the
 ASCII (Punycode) or Unicode representation, see property
 <code>urlnormalizer.basic.host.idn</code>
 remove a trailing dot from host names, see property
 <code>urlnormalizer.basic.host.trim-trailing-dot</code>
 </div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.host">org.apache.nutch.net.urlnormalizer.host</a></td>
<td class="colLast">
<div class="block">URL normalizer renaming hosts to a canonical form listed in the
 configuration file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.pass">org.apache.nutch.net.urlnormalizer.pass</a></td>
<td class="colLast">
<div class="block">URL normalizer dummy which does not change URLs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.protocol">org.apache.nutch.net.urlnormalizer.protocol</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.querystring">org.apache.nutch.net.urlnormalizer.querystring</a></td>
<td class="colLast">
<div class="block">URL normalizer which sort the elements in the query part to avoid duplicates
 by permutations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.regex">org.apache.nutch.net.urlnormalizer.regex</a></td>
<td class="colLast">
<div class="block">URL normalizer with configurable rules based on regular expressions
 (<a href="https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex"><code>Pattern</code></a>).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.net.urlnormalizer.slash">org.apache.nutch.net.urlnormalizer.slash</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.parse">org.apache.nutch.parse</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a> interface and related classes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.api">org.apache.nutch.urlfilter.api</a></td>
<td class="colLast">
<div class="block">Generic <a href="../../../../org/apache/nutch/net/URLFilter.html" title="interface in org.apache.nutch.net"><code>URL filter</code></a> library,
 abstracting away from regular expression implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.automaton">org.apache.nutch.urlfilter.automaton</a></td>
<td class="colLast">
<div class="block">
URL filter plugin based on
<a href="https://www.brics.dk/automaton/">dk.brics.automaton</a> Finite-State
Automata for Java<sup>TM</sup>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.domain">org.apache.nutch.urlfilter.domain</a></td>
<td class="colLast">
<div class="block">URL filter plugin to include only URLs which match an element in a given list of
 domain suffixes, domain names, and/or host names.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.domaindenylist">org.apache.nutch.urlfilter.domaindenylist</a></td>
<td class="colLast">
<div class="block">URL filter plugin to exclude URLs by domain suffixes, domain names, and/or host names.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.fast">org.apache.nutch.urlfilter.fast</a></td>
<td class="colLast">
<div class="block">URL filter plugin that first does fast exact suffix matches on host/domain
 names before applying regular expressions to the path component of a URL.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.ignoreexempt">org.apache.nutch.urlfilter.ignoreexempt</a></td>
<td class="colLast">
<div class="block">URL filter plugin which identifies exemptions to external urls when
 when external urls are set to ignore.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.prefix">org.apache.nutch.urlfilter.prefix</a></td>
<td class="colLast">
<div class="block">URL filter plugin to include only URLs which match one of a given list of URL prefixes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.regex">org.apache.nutch.urlfilter.regex</a></td>
<td class="colLast">
<div class="block">URL filter plugin to include and/or exclude URLs matching Java regular expressions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.suffix">org.apache.nutch.urlfilter.suffix</a></td>
<td class="colLast">
<div class="block">URL filter plugin to either exclude or include only URLs which match
 one of the given (path) suffixes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.urlfilter.validator">org.apache.nutch.urlfilter.validator</a></td>
<td class="colLast">
<div class="block">URL filter plugin that validates given urls.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.collection">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/collection/package-summary.html">org.apache.nutch.collection</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.collection">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.hostdb">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/hostdb/package-summary.html">org.apache.nutch.hostdb</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilters.html#org.apache.nutch.hostdb">URLFilters</a>
<div class="block">Creates and caches <a href="../../../../org/apache/nutch/net/URLFilter.html" title="interface in org.apache.nutch.net"><code>URLFilter</code></a> implementing plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizers.html#org.apache.nutch.hostdb">URLNormalizers</a>
<div class="block">This class uses a "chained filter" pattern to run defined normalizers.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.indexer">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/indexer/package-summary.html">org.apache.nutch.indexer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizers.html#org.apache.nutch.indexer">URLNormalizers</a>
<div class="block">This class uses a "chained filter" pattern to run defined normalizers.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.net">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilterException.html#org.apache.nutch.net">URLFilterException</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.ajax">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/ajax/package-summary.html">org.apache.nutch.net.urlnormalizer.ajax</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.ajax">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.basic">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/basic/package-summary.html">org.apache.nutch.net.urlnormalizer.basic</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.basic">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.host">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/host/package-summary.html">org.apache.nutch.net.urlnormalizer.host</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.host">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.pass">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/pass/package-summary.html">org.apache.nutch.net.urlnormalizer.pass</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.pass">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.protocol">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/protocol/package-summary.html">org.apache.nutch.net.urlnormalizer.protocol</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.protocol">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.querystring">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/querystring/package-summary.html">org.apache.nutch.net.urlnormalizer.querystring</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.querystring">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.regex">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/regex/package-summary.html">org.apache.nutch.net.urlnormalizer.regex</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.regex">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.net.urlnormalizer.slash">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/net/urlnormalizer/slash/package-summary.html">org.apache.nutch.net.urlnormalizer.slash</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizer.html#org.apache.nutch.net.urlnormalizer.slash">URLNormalizer</a>
<div class="block">Interface used to convert URLs to normal form and optionally perform
 substitutions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.parse">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/parse/package-summary.html">org.apache.nutch.parse</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLExemptionFilters.html#org.apache.nutch.parse">URLExemptionFilters</a>
<div class="block">Creates and caches <a href="../../../../org/apache/nutch/net/URLExemptionFilter.html" title="interface in org.apache.nutch.net"><code>URLExemptionFilter</code></a> implementing plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilters.html#org.apache.nutch.parse">URLFilters</a>
<div class="block">Creates and caches <a href="../../../../org/apache/nutch/net/URLFilter.html" title="interface in org.apache.nutch.net"><code>URLFilter</code></a> implementing plugins.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLNormalizers.html#org.apache.nutch.parse">URLNormalizers</a>
<div class="block">This class uses a "chained filter" pattern to run defined normalizers.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.api">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/api/package-summary.html">org.apache.nutch.urlfilter.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.api">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.automaton">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/automaton/package-summary.html">org.apache.nutch.urlfilter.automaton</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.automaton">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.domain">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/domain/package-summary.html">org.apache.nutch.urlfilter.domain</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.domain">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.domaindenylist">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/domaindenylist/package-summary.html">org.apache.nutch.urlfilter.domaindenylist</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.domaindenylist">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.fast">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/fast/package-summary.html">org.apache.nutch.urlfilter.fast</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.fast">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.ignoreexempt">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/ignoreexempt/package-summary.html">org.apache.nutch.urlfilter.ignoreexempt</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLExemptionFilter.html#org.apache.nutch.urlfilter.ignoreexempt">URLExemptionFilter</a>
<div class="block">Interface used to allow exemptions to external domain resources by overriding <code>db.ignore.external.links</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.ignoreexempt">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.prefix">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/prefix/package-summary.html">org.apache.nutch.urlfilter.prefix</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.prefix">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.regex">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/regex/package-summary.html">org.apache.nutch.urlfilter.regex</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.regex">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.suffix">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/suffix/package-summary.html">org.apache.nutch.urlfilter.suffix</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.suffix">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.urlfilter.validator">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/net/package-summary.html">org.apache.nutch.net</a> used by <a href="../../../../org/apache/nutch/urlfilter/validator/package-summary.html">org.apache.nutch.urlfilter.validator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/net/class-use/URLFilter.html#org.apache.nutch.urlfilter.validator">URLFilter</a>
<div class="block">Interface used to limit which URLs enter Nutch.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/net/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
